Update team
curl --request PATCH \
--url https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Falcons U14 Elite"
}
'import requests
url = "https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId}"
payload = { "name": "Falcons U14 Elite" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Falcons U14 Elite'})
};
fetch('https://sandbox.blitzboardstats.com/api/v1/blitz-api/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "66f0a1b2c3d4e5f678901234",
"name": "Falcons U14 Elite",
"footballType": "flag",
"ageGroup": "14u",
"gender": "male",
"isArchived": false,
"logoUrl": "https://cdn.example.com/logos/falcons.png",
"organizationId": "66f0a1b2c3d4e5f678901111",
"createdAt": "2026-09-01T12:00:00.000Z"
}
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}Teams
Update team
PATCH
/
v1
/
blitz-api
/
teams
/
{teamId}
Update team
Authorizations
Public integration API key (bb_live_...). Not a login JWT.
Path Parameters
Example:
"507f1f77bcf86cd799439011"
Body
application/json
Type of football
Available options:
flag, tackle Example:
"flag"
Team age group
Available options:
6u, 7u, 8u, 9u, 10u, 11u, 12u, 13u, 14u, 15u, 16u, 17u, 18u, jv, varsity, college_club, college_naia, college_ncaa_d3, college_ncaa_d2, college_ncaa_d1, 14_elite, professional, adult_recreation Example:
"14u"
Team players gender
Available options:
male, female, co_educational, other Example:
"male"
Season Mongo id from GET /v1/blitz-api/seasons
Example:
"66f0a1b2c3d4e5f678901789"
Response
Team updated
Example:
{
"_id": "66f0a1b2c3d4e5f678901234",
"name": "Falcons U14",
"footballType": "flag",
"ageGroup": "14u",
"gender": "male",
"isArchived": false,
"logoUrl": "https://cdn.example.com/logos/falcons.png",
"organizationId": "66f0a1b2c3d4e5f678901111",
"createdAt": "2026-09-01T12:00:00.000Z"
}
⌘I
